BSD-FAQ-it
Indietro | Capitolo 3. Amministrazione del Sistema | Avanti

# 3.24. Come cambio l'utente e/o il gruppo proprietario di un file?

Ogni file ha un utente proprietario e un gruppo proprietario. Questi sono indicati rispettivamente nella terza e nella quarta colonna dell'output di

    % ls -l
    total 60
    -rw-r--r--  1 paperino  paperino   2015 31 Mar 21:03 debiti
    -rw-r--r--  1 paperino  paperino   1513 16 Feb 17:21 sfortune
    drwxr-xr-x  2 paperino  paperino    512  1 Apr 17:02 paperina
    -rw-r--r--  1 paperino  paperino    325 24 Mar 12:56 debitiPDP
    -rw-r--r--  1 paperino  paperino   2839  1 Apr 17:02 letteraPaperina
    -rw-r--r--  1 paperino  paperino   2015 31 Mar 13:03 paperinik

Il comando usato per cambiare proprietario e gruppo è chown(8), da sempre presente in UNIX®. La sua sintassi è semplicissima:

    % chown gastone letteraPaperina

per cambiare il proprietario da `paperino` a `gastone`, oppure

    % chown :gastone letteraPaperina

se vogliamo cambiare il gruppo proprietario. Ovviamente si possono sommare le due sintassi per cambiare contemporaneamente utente e gruppo proprietari:

    % chown gastone:gastone letteraPaperina

Posssiamo utilizzare l'opzione -R per cambiare proprietario e/o gruppo a tutti i file di una directory e delle sue sottodirectory. Piccola nota finale: per cambiare solo il gruppo si può usare anche il comando chgrp(1), che ha la seguente sintassi:

    % chgrp gastone letteraPaperina

.

Indietro | Partenza | Avanti
Come configuro il mio sistema FreeBSD affinché faccia da gateway tra la mia rete locale e Internet? | Risali | Come regolo l'orologio di sistema?